Crux 3.4: libidn and Imagemagick

Fredrik Rinnestam fredrik at rinnestam.se
Wed May 16 13:05:42 UTC 2018


On 2018-05-16 13:11, Hazel Russman wrote:
> Two little beefs:
> 
> 1) When libidn is updated, programs that use gnutls fail. This includes libreoffice. Rebuilding gnutls solves the problem. There should be a README for libidn specifying a rebuild of gnutls, as this is a major version update.

It's not a "major version update". They already broke ABI with the old
release but failed to bump soname to reflect this. This update "fixes"
this. Unfortunately I didn't notice this until much later. I then posted
to the mailinglist:
https://lists.crux.nu/pipermail/crux/2018-May/005775.html

> 2) The wrong version of imagemagick is specified. 7.0.7-31 is no longer available on the Imagemagick site. I think the current version is 7.0.7-32.
> 

Unfortunately Imagemagick moves the tarballs when they do a new relese,
breaking $source. Annoying as hell but not much we can do about it
unless we mirror it.

/f


More information about the CRUX mailing list